/***********************************************************************
  sudokuSolverCore.h

  Rev. 0.01   Apr. 22, 2009 by zhuo

  usage: 
  1) Call SSInitialize();
  2) prepare the inital panel settings in    int values[81].
     0 : for blank block , 1 - 9 : for fixed values.
  3) Call    SSLoadFromIntArray( values );
  4) Call    SSSolve( values ); this returns 
     0   when failed.
     1   when successful.

     The result is stored back in values[81].

***********************************************************************/

#ifndef _SSCORE_H_
#define _SSCORE_H_



#ifdef __cplusplus
extern "C" {
#endif

  void SSInitialize( void );

  /* values: int values[81]. 0 ... blank, 1-9: fixed value. */
  void SSLoadFromIntArray( int* values );

  /*
    int values[81] will be filled with numbers that represent:
     0 ... blank, 1-9: fixed value.
  */     
  void SSStoreToIntArray( int* values );


  /* solve. 
     the result is stored back in values[81].
     0 when failed
     1 when successful
  */
  int SSSolve( void );

#ifdef __cplusplus
}
#endif

#endif /* _SSCORE_H_ */
